Page MenuHomePhabricator

We don't need spotbugs on the tests since they aren't used in production.
AbandonedPublic

Authored by Hackintosh5 on Mar 6 2019, 9:42 AM.

Details

Summary

Use spotBugsMain instead of check target in gradle

Test Plan

Run arc unit with a security violation in the unit tests (D223)

Diff Detail

Repository
rLIBWFJVA WildFyre Java Libary
Branch
arcpatch-D225
Lint
Lint OK
Unit
Unit Tests OK
Build Status
Buildable 591
Build 591: arc lint + arc unit

Event Timeline

This revision is now accepted and ready to land.Mar 10 2019, 5:59 PM
CLOVIS abandoned this revision.
CLOVIS edited reviewers, added: Hackintosh5; removed: CLOVIS.

This is not needed anymore

Hackintosh5 edited reviewers, added: CLOVIS; removed: Hackintosh5.

Something is needed, at least. check is the wrong command; we should use either spotbugsMain spotbugsTest or spotbugsMain.

This revision is now accepted and ready to land.Apr 19 2019, 3:07 AM

Sorry for the unclear explanation. Because of the problems with Arc and the time it wastes for us, we will stop using arc unit completely, and instead will implement CI via the GitLab mirror.